# DAQ System with Beaglebone Black using serial communication

This repositori contains C code to implement a DAQ system with a Beaglebone Black using serial communication with sensors.
Sensors used in this system are: GC-0017 (Cabron dioxide), CM-31910 (Carbon monoxide, and temperature) and OX-0052 (Oxigen).

### Installing

To get this repositore you just need to clone it to your Beaglebone Black

```
git clone https://gitlab.com/sayeth.rd/daq-serial-bbb/
```

### Utilization

To run this code and commincate with sensors, you first have to configure UARTs ports, configuring GPIOs as uart running the command
```
config-uart-pins.sh
```
this command will configure UART1, UART2 and UART4.

Then you can run the code wih this comand:

```
./daq
```

If you need to make any changes to the code you can recompile again with this command:
```
gcc daq.c -o daq
```
